librevenge::RVNGRawGeneratorBase Struct Reference documentation

librevenge::RVNGRawGeneratorBase Struct Reference

`#include <RVNGRawGeneratorBase.h>`

Inheritance diagram for librevenge::RVNGRawGeneratorBase:

## Public Member Functions
| RVNGRawGeneratorBase (bool printCallgraphScore)
virtual | ~RVNGRawGeneratorBase ()
void | indentUp ()
void | indentDown ()
void | iprintf (const char *format,...) REVENGE_ATTRIBUTE_PRINTF(2
void void | iuprintf (const char *format,...) REVENGE_ATTRIBUTE_PRINTF(2
void void void | idprintf (const char *format,...) REVENGE_ATTRIBUTE_PRINTF(2

## Public Attributes
int | m_indent
int | m_callbackMisses
bool | m_atLeastOneCallback
bool | m_printCallgraphScore
std::stack< int > | m_callStack

## Constructor & Destructor Documentation

## ◆ RVNGRawGeneratorBase()

librevenge::RVNGRawGeneratorBase::RVNGRawGeneratorBase | ( | bool | printCallgraphScore | ) |
| explicit

Referenced by librevenge::RVNGRawDrawingGeneratorImpl::RVNGRawDrawingGeneratorImpl(), librevenge::RVNGRawPresentationGeneratorImpl::RVNGRawPresentationGeneratorImpl(), librevenge::RVNGRawSpreadsheetGeneratorImpl::RVNGRawSpreadsheetGeneratorImpl(), and librevenge::RVNGRawTextGeneratorImpl::RVNGRawTextGeneratorImpl().

## ◆ ~RVNGRawGeneratorBase()

librevenge::RVNGRawGeneratorBase::~RVNGRawGeneratorBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ idprintf()

void librevenge::RVNGRawGeneratorBase::idprintf | ( | const char * | format,
|  |  | ... )

## ◆ indentDown()

void librevenge::RVNGRawGeneratorBase::indentDown | ( |  | ) |
| inline

Referenced by idprintf().

## ◆ indentUp()

void librevenge::RVNGRawGeneratorBase::indentUp | ( |  | ) |
| inline

Referenced by iuprintf().

## ◆ iprintf()

void librevenge::RVNGRawGeneratorBase::iprintf | ( | const char * | format,
|  |  | ... )

## ◆ iuprintf()

void librevenge::RVNGRawGeneratorBase::iuprintf | ( | const char * | format,
|  |  | ... )

## Member Data Documentation

## ◆ m_atLeastOneCallback

bool librevenge::RVNGRawGeneratorBase::m_atLeastOneCallback

Referenced by idprintf(), iprintf(), iuprintf(), and RVNGRawGeneratorBase().

## ◆ m_callbackMisses

int librevenge::RVNGRawGeneratorBase::m_callbackMisses

Referenced by RVNGRawGeneratorBase().

## ◆ m_callStack

std::stack<int> librevenge::RVNGRawGeneratorBase::m_callStack

Referenced by RVNGRawGeneratorBase().

## ◆ m_indent

int librevenge::RVNGRawGeneratorBase::m_indent

Referenced by idprintf(), indentDown(), indentUp(), iprintf(), iuprintf(), and RVNGRawGeneratorBase().

## ◆ m_printCallgraphScore

bool librevenge::RVNGRawGeneratorBase::m_printCallgraphScore

Referenced by iprintf(), and RVNGRawGeneratorBase().

The documentation for this struct was generated from the following files:

- RVNGRawGeneratorBase.h
- RVNGRawGeneratorBase.cpp